<?php
	
	$gym_coach_tp_theme_css = '';

	// 1st color
	$gym_coach_tp_color_option_first = get_theme_mod('gym_coach_tp_color_option_first', '#B6EF00');
	if ($gym_coach_tp_color_option_first) {
		$gym_coach_tp_theme_css .= ':root {';
		$gym_coach_tp_theme_css .= '--color-primary1: ' . esc_attr($gym_coach_tp_color_option_first) . ';';
		$gym_coach_tp_theme_css .= '}';
	}

	// 1st color
	$gym_coach_tp_color_option_sec = get_theme_mod('gym_coach_tp_color_option_sec', '#4CA522');
	if ($gym_coach_tp_color_option_sec) {
		$gym_coach_tp_theme_css .= ':root {';
		$gym_coach_tp_theme_css .= '--color-primary2: ' . esc_attr($gym_coach_tp_color_option_sec) . ';';
		$gym_coach_tp_theme_css .= '}';
	}

	// preloader
	$gym_coach_tp_preloader_color1_option = get_theme_mod('gym_coach_tp_preloader_color1_option');
	if($gym_coach_tp_preloader_color1_option != false){
	$gym_coach_tp_theme_css .='.center1{';
		$gym_coach_tp_theme_css .='border-color: '.esc_attr($gym_coach_tp_preloader_color1_option).' !important;';
	$gym_coach_tp_theme_css .='}';
	}
	if($gym_coach_tp_preloader_color1_option != false){
	$gym_coach_tp_theme_css .='.center1 .ring::before{';
		$gym_coach_tp_theme_css .='background: '.esc_attr($gym_coach_tp_preloader_color1_option).' !important;';
	$gym_coach_tp_theme_css .='}';
	}

	$gym_coach_tp_preloader_color2_option = get_theme_mod('gym_coach_tp_preloader_color2_option');

	if($gym_coach_tp_preloader_color2_option != false){
	$gym_coach_tp_theme_css .='.center2{';
		$gym_coach_tp_theme_css .='border-color: '.esc_attr($gym_coach_tp_preloader_color2_option).' !important;';
	$gym_coach_tp_theme_css .='}';
	}
	if($gym_coach_tp_preloader_color2_option != false){
	$gym_coach_tp_theme_css .='.center2 .ring::before{';
		$gym_coach_tp_theme_css .='background: '.esc_attr($gym_coach_tp_preloader_color2_option).' !important;';
	$gym_coach_tp_theme_css .='}';
	}

	$gym_coach_tp_preloader_bg_color_option = get_theme_mod('gym_coach_tp_preloader_bg_color_option');

	if($gym_coach_tp_preloader_bg_color_option != false){
	$gym_coach_tp_theme_css .='.loader{';
		$gym_coach_tp_theme_css .='background: '.esc_attr($gym_coach_tp_preloader_bg_color_option).';';
	$gym_coach_tp_theme_css .='}';
	}

	$gym_coach_tp_footer_bg_color_option = get_theme_mod('gym_coach_tp_footer_bg_color_option');


	if($gym_coach_tp_footer_bg_color_option != false){
	$gym_coach_tp_theme_css .='#footer{';
		$gym_coach_tp_theme_css .='background: '.esc_attr($gym_coach_tp_footer_bg_color_option).';';
	$gym_coach_tp_theme_css .='}';
	}

	// logo tagline color
	$gym_coach_site_tagline_color = get_theme_mod('gym_coach_site_tagline_color');

	if($gym_coach_site_tagline_color != false){
	$gym_coach_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$gym_coach_tp_theme_css .='color: '.esc_attr($gym_coach_site_tagline_color).';';
	$gym_coach_tp_theme_css .='}';
	}

	$gym_coach_logo_tagline_color = get_theme_mod('gym_coach_logo_tagline_color');
	if($gym_coach_logo_tagline_color != false){
	$gym_coach_tp_theme_css .='p.site-description{';
	$gym_coach_tp_theme_css .='color: '.esc_attr($gym_coach_logo_tagline_color).';';
	$gym_coach_tp_theme_css .='}';
	}

	// footer widget title color
	$gym_coach_footer_widget_title_color = get_theme_mod('gym_coach_footer_widget_title_color');
	if($gym_coach_footer_widget_title_color != false){
	$gym_coach_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$gym_coach_tp_theme_css .='color: '.esc_attr($gym_coach_footer_widget_title_color).';';
	$gym_coach_tp_theme_css .='}';
	}

	// copyright text color
	$gym_coach_footer_copyright_text_color = get_theme_mod('gym_coach_footer_copyright_text_color');
	if($gym_coach_footer_copyright_text_color != false){
	$gym_coach_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$gym_coach_tp_theme_css .='color: '.esc_attr($gym_coach_footer_copyright_text_color).'!important;';
	$gym_coach_tp_theme_css .='}';
	}

	// header image title color
	$gym_coach_header_image_title_text_color = get_theme_mod('gym_coach_header_image_title_text_color');
	if($gym_coach_header_image_title_text_color != false){
	$gym_coach_tp_theme_css .='.box-text h2{';
	$gym_coach_tp_theme_css .='color: '.esc_attr($gym_coach_header_image_title_text_color).';';
	$gym_coach_tp_theme_css .='}';
	}

	// menu color
	$gym_coach_menu_color = get_theme_mod('gym_coach_menu_color');
	if($gym_coach_menu_color != false){
	$gym_coach_tp_theme_css .='.main-navigation a{';
	$gym_coach_tp_theme_css .='color: '.esc_attr($gym_coach_menu_color).';';
	$gym_coach_tp_theme_css .='}';
}


//Footer Font Weight
$gym_coach_footer_copyright_title_font_weight = get_theme_mod( 'gym_coach_footer_copyright_title_font_weight','');
if($gym_coach_footer_copyright_title_font_weight == '100'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 100;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '200'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 200;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '300'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 300;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '400'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 400;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '500'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 500;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '600'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 600;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '700'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 700;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '800'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 800;';
$gym_coach_tp_theme_css .='}';
}else if($gym_coach_footer_copyright_title_font_weight == '900'){
$gym_coach_tp_theme_css .='#footer .site-info p {';
    $gym_coach_tp_theme_css .='font-weight: 900;';
$gym_coach_tp_theme_css .='}';
}